#
# spec file for package python-geoip2
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-geoip2
Version:        2.8.0
Release:        lp151.2.2
Summary:        MaxMind GeoIP2 Python API
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            http://www.maxmind.com/
Source:         https://files.pythonhosted.org/packages/source/g/geoip2/geoip2-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       python-maxminddb >= 1.2.1
Requires:       python-requests >= 2.9
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module maxminddb >= 1.2.1}
BuildRequires:  %{python_module requests >= 2.9}
%endif
# SECTION test requirements
BuildRequires:  fdupes
%if %{with test}
BuildRequires:  %{python_module requests-mock >= 0.5}
%endif
# /SECTION
%ifpython2
Recommends:     python2-ipaddress
%endif
%python_subpackages

%description
This package provides an API for the GeoIP2 web services and databases.
The API also works with MaxMind's free GeoLite2 databases.

%prep
%setup -q -n geoip2-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$sitearch}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Wed May  2 2018 tchvatal@suse.com
- Use license macro for license
* Thu Apr 12 2018 sebix+novell.com@sebix.at
- update to version 2.8.0:
  * Renamed user ID to account ID in the code and added support for the new
  ``ACCOUNT_ID_REQUIRED`` AND ``ACCOUNT_ID_UNKNOWN`` error codes.
- update to version 2.7.0:
  * The ``is_in_european_union`` attribute was added to
  ``geoip2.record.Country`` and ``geoip2.record.RepresentedCountry``. This
  attribute is ``True`` if the country is a member state of the European
  Union.
* Sat Mar  3 2018 arun@gmx.de
- specfile:
  * update copyright year
  * don't use python_module for Requires
* Fri Oct 27 2017 sebix+novell.com@sebix.at
- update to version 2.6.0:
  * The following new anonymizer attributes were added to ``geoip2.record.Traits``
  for use with GeoIP2 Precision Insights: ``is_anonymous``,
  ``is_anonymous_vpn``, ``is_hosting_provider``, ``is_public_proxy``, and
  ``is_tor_exit_node``.
* Thu May 25 2017 sebix+novell.com@sebix.at
- initial package
